import { CrossmintSDKError } from '@crossmint/common-sdk-base';

type CrossmintAPIErrorCodes = "ERROR_JWT_INVALID" | "ERROR_JWT_DECRYPTION" | "ERROR_JWT_IDENTIFIER" | "ERROR_JWT_EXPIRED";
declare class APIErrorService<PackageErrorCodes extends string> {
    private packageErrors;
    private baseErrors;
    constructor(packageErrors: Record<PackageErrorCodes, (apiResponse: any) => CrossmintSDKError>, baseErrors?: Record<CrossmintAPIErrorCodes, (apiResponse: any) => CrossmintSDKError>);
    private get errors();
    throwErrorFromResponse({ response, onServerErrorMessage, }: {
        response: Response;
        onServerErrorMessage: string;
    }): Promise<void>;
}

export { APIErrorService, type CrossmintAPIErrorCodes };
