import { APIErrorService } from './APIErrorService.cjs';
import { SDKLogger } from '../../utils/SDKLogger.cjs';
import '@crossmint/common-sdk-base';
import '../logging/index.cjs';
import '../logging/ConsoleProvider.cjs';
import '../logging/BrowserLoggerInterface.cjs';
import '../logging/DatadogProvider.cjs';

declare abstract class BaseCrossmintService {
    crossmintAPIHeaders: Record<string, string>;
    crossmintBaseUrl: string;
    protected abstract apiErrorService: APIErrorService<string>;
    protected abstract logger: SDKLogger;
    constructor(apiKey: string);
    protected fetchCrossmintAPI(endpoint: string, options: {
        body?: string;
        method: string;
    } | undefined, onServerErrorMessage: string, authToken?: string): Promise<any>;
}

export { BaseCrossmintService };
