import { APIErrorService } from './APIErrorService.js';
import { SDKLogger } from '../../utils/SDKLogger.js';
import '@crossmint/common-sdk-base';
import '../logging/index.js';
import '../logging/ConsoleProvider.js';
import '../logging/BrowserLoggerInterface.js';
import '../logging/DatadogProvider.js';

declare abstract class BaseCrossmintService {
    crossmintAPIHeaders: Record<string, string>;
    crossmintBaseUrl: string;
    protected abstract apiErrorService: APIErrorService<string>;
    protected abstract logger: SDKLogger;
    constructor(apiKey: string);
    protected fetchCrossmintAPI(endpoint: string, options: {
        body?: string;
        method: string;
    } | undefined, onServerErrorMessage: string, authToken?: string): Promise<any>;
}

export { BaseCrossmintService };
