import { n as MintConfigs, P as PaymentMethod, S as SigninMethods, t as CheckoutProps, c as clientNames, L as Locale, b as Currency } from '../../index-DWvvBlNg.js';
import { CaseInsensitive } from '../../types/system.js';
import '../../types/embed/v3/events/incoming.js';
import 'zod';
import '../../types/embed/v3/events/outgoing.js';
import '../../types/embed/v3/events/EmbeddedCheckoutV3IFrameEmitter.js';
import '@crossmint/client-sdk-window';
import '../../types/events/public/events.js';
import '../../types/events/internal/events.js';
import '@crossmint/common-sdk-base';
import '../../consts/embed.js';
import '@ethersproject/transactions';
import '@solana/web3.js';
import '../../types/CryptoCurrency.js';

interface CrossmintModalServiceParams {
    clientId: string;
    projectId?: string;
    libVersion: string;
    showOverlay: boolean;
    dismissOverlayOnClick?: boolean;
    setConnecting: (connecting: boolean) => void;
    environment?: string;
    clientName: clientNames;
    locale: Locale;
    currency: CaseInsensitive<Currency>;
    successCallbackURL?: string;
    failureCallbackURL?: string;
    loginEmail?: string;
}
interface CrossmintModalServiceReturn {
    connect: (mintConfig?: MintConfigs, mintTo?: string, emailTo?: string, listingId?: string, whPassThroughArgs?: any, paymentMethod?: PaymentMethod, preferredSigninMethod?: SigninMethods, prepay?: boolean, checkoutProps?: CheckoutProps) => void;
}
declare function crossmintModalService({ clientId, projectId, libVersion, showOverlay, dismissOverlayOnClick, setConnecting, environment, clientName, locale, currency, successCallbackURL, failureCallbackURL, loginEmail, }: CrossmintModalServiceParams): CrossmintModalServiceReturn;

export { type CrossmintModalServiceReturn, crossmintModalService };
