import { z } from 'zod';

declare const embeddedCheckoutV3IncomingEvents: {
    "ui:height.changed": z.ZodObject<{
        height: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        height: number;
    }, {
        height: number;
    }>;
    "crypto:connect-wallet.show": z.ZodObject<{
        show: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        show: boolean;
    }, {
        show: boolean;
    }>;
    "crypto:send-transaction": z.ZodObject<{
        chain: z.ZodString;
        serializedTransaction: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        chain: string;
        serializedTransaction: string;
    }, {
        chain: string;
        serializedTransaction: string;
    }>;
    "order:updated": z.ZodObject<{
        order: z.ZodOptional<z.ZodAny>;
        orderClientSecret: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        order?: any;
        orderClientSecret?: string | undefined;
    }, {
        order?: any;
        orderClientSecret?: string | undefined;
    }>;
};
type EmbeddedCheckoutV3IncomingEventMap = typeof embeddedCheckoutV3IncomingEvents;

export { type EmbeddedCheckoutV3IncomingEventMap, embeddedCheckoutV3IncomingEvents };
