import { z } from 'zod';

declare const embeddedCheckoutV3OutgoingEvents: {
    "crypto:connect-wallet.failed": z.ZodObject<{
        error: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        error: string;
    }, {
        error: string;
    }>;
    "crypto:connect-wallet.success": z.ZodObject<{
        address: z.ZodString;
        chain: z.ZodString;
        walletProviderKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        chain: string;
        address: string;
        walletProviderKey?: string | undefined;
    }, {
        chain: string;
        address: string;
        walletProviderKey?: string | undefined;
    }>;
    "crypto:send-transaction:success": z.ZodObject<{
        txId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        txId: string;
    }, {
        txId: string;
    }>;
    "crypto:send-transaction:failed": z.ZodObject<{
        error: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        error: string;
    }, {
        error: string;
    }>;
};
type EmbeddedCheckoutV3OutgoingEventMap = typeof embeddedCheckoutV3OutgoingEvents;

export { type EmbeddedCheckoutV3OutgoingEventMap, embeddedCheckoutV3OutgoingEvents };
