import { BrowserLogger } from '../services/logging/index.cjs';
import '../services/logging/ConsoleProvider.cjs';
import '../services/logging/BrowserLoggerInterface.cjs';
import '../services/logging/DatadogProvider.cjs';

declare class SDKLogger {
    private service;
    private logger;
    constructor(service: string, logger?: BrowserLogger);
    log(message: string, ...args: any[]): void;
    warn(message: string, ...args: any[]): void;
    error(message: string, ...args: any[]): void;
    logPerformance<T>(name: string, cb: () => Promise<T>, extraInfo?: object): Promise<T>;
    private beautify;
    private stringifyAvoidingCircular;
}

export { SDKLogger };
