import { J as CrossmintEmbeddedCheckoutProps, W as FiatEmbeddedCheckoutProps, N as CryptoEmbeddedCheckoutProps, K as CryptoEmbeddedCheckoutPropsWithSigner } from '../../index-BR-mcX8z.cjs';
export { embeddedCheckoutPropsToUpdatableParamsPayload } from './updatableParams.cjs';
import '../../types/embed/v3/events/incoming.cjs';
import 'zod';
import '../../types/embed/v3/events/outgoing.cjs';
import '../../types/embed/v3/events/EmbeddedCheckoutV3IFrameEmitter.cjs';
import '@crossmint/client-sdk-window';
import '../../types/events/public/events.cjs';
import '../../types/events/internal/events.cjs';
import '@crossmint/common-sdk-base';
import '../../types/system.cjs';
import '../../consts/embed.cjs';
import '@ethersproject/transactions';
import '@solana/web3.js';
import '../../types/CryptoCurrency.cjs';

declare function isFiatEmbeddedCheckoutProps(props: CrossmintEmbeddedCheckoutProps): props is FiatEmbeddedCheckoutProps;
declare function isCryptoEmbeddedCheckoutProps(props: CrossmintEmbeddedCheckoutProps): props is CryptoEmbeddedCheckoutProps;
declare function isCryptoEmbeddedCheckoutPropsWithSigner(props: CrossmintEmbeddedCheckoutProps): props is CryptoEmbeddedCheckoutPropsWithSigner;

export { isCryptoEmbeddedCheckoutProps, isCryptoEmbeddedCheckoutPropsWithSigner, isFiatEmbeddedCheckoutProps };
