import { J as CrossmintEmbeddedCheckoutProps, W as FiatEmbeddedCheckoutProps, N as CryptoEmbeddedCheckoutProps, K as CryptoEmbeddedCheckoutPropsWithSigner } from '../../index-DWvvBlNg.js';
export { embeddedCheckoutPropsToUpdatableParamsPayload } from './updatableParams.js';
import '../../types/embed/v3/events/incoming.js';
import 'zod';
import '../../types/embed/v3/events/outgoing.js';
import '../../types/embed/v3/events/EmbeddedCheckoutV3IFrameEmitter.js';
import '@crossmint/client-sdk-window';
import '../../types/events/public/events.js';
import '../../types/events/internal/events.js';
import '@crossmint/common-sdk-base';
import '../../types/system.js';
import '../../consts/embed.js';
import '@ethersproject/transactions';
import '@solana/web3.js';
import '../../types/CryptoCurrency.js';

declare function isFiatEmbeddedCheckoutProps(props: CrossmintEmbeddedCheckoutProps): props is FiatEmbeddedCheckoutProps;
declare function isCryptoEmbeddedCheckoutProps(props: CrossmintEmbeddedCheckoutProps): props is CryptoEmbeddedCheckoutProps;
declare function isCryptoEmbeddedCheckoutPropsWithSigner(props: CrossmintEmbeddedCheckoutProps): props is CryptoEmbeddedCheckoutPropsWithSigner;

export { isCryptoEmbeddedCheckoutProps, isCryptoEmbeddedCheckoutPropsWithSigner, isFiatEmbeddedCheckoutProps };
