export { assertValidNFTCollectionViewProps, assertValidValidateNFTDetailProps } from './validate.js';
export { getEnvironmentBaseUrl, getNFTCollectionViewSrc, getNFTDetailSrc } from './ui.js';
export { isCryptoEmbeddedCheckoutProps, isCryptoEmbeddedCheckoutPropsWithSigner, isFiatEmbeddedCheckoutProps } from './embed/index.js';
export { SDKLogger } from './SDKLogger.js';
export { CancellableTask, queueTask } from './tasks.js';
export { embeddedCheckoutPropsToUpdatableParamsPayload } from './embed/updatableParams.js';
import '@crossmint/common-sdk-base';
import '../index-DWvvBlNg.js';
import '../types/embed/v3/events/incoming.js';
import 'zod';
import '../types/embed/v3/events/outgoing.js';
import '../types/embed/v3/events/EmbeddedCheckoutV3IFrameEmitter.js';
import '@crossmint/client-sdk-window';
import '../types/events/public/events.js';
import '../types/events/internal/events.js';
import '../types/system.js';
import '../consts/embed.js';
import '@ethersproject/transactions';
import '@solana/web3.js';
import '../types/CryptoCurrency.js';
import '../services/logging/index.js';
import '../services/logging/ConsoleProvider.js';
import '../services/logging/BrowserLoggerInterface.js';
import '../services/logging/DatadogProvider.js';

declare function isClient(): boolean;
declare function isLocalhost(): boolean;

export { isClient, isLocalhost };
